Index: main/plugin-core/src/org/ametys/core/datasource/sql/dbtype/SQLDatabaseTypeManager.java
===================================================================
--- main/plugin-core/src/org/ametys/core/datasource/sql/dbtype/SQLDatabaseTypeManager.java	(revision 0)
+++ main/plugin-core/src/org/ametys/core/datasource/sql/dbtype/SQLDatabaseTypeManager.java	(revision 0)
@@ -0,0 +1,85 @@
+package org.ametys.core.datasource.sql.dbtype;
+
+import java.util.ArrayList;
+import java.util.HashMap;
+import java.util.List;
+import java.util.Map;
+
+import org.apache.avalon.framework.component.Component;
+import org.apache.avalon.framework.service.ServiceException;
+import org.apache.avalon.framework.service.ServiceManager;
+import org.apache.avalon.framework.service.Serviceable;
+
+import org.ametys.core.ui.Callable;
+import org.ametys.core.util.I18nUtils;
+import org.ametys.plugins.core.impl.datasource.StaticSQLDatabaseType;
+import org.ametys.runtime.i18n.I18nizableText;
+
+/**
+ * Manager handling the handled SQL database types
+ */
+public class SQLDatabaseTypeManager implements Component, Serviceable
+{
+    /** Avalon Role */
+    public static final String ROLE = SQLDatabaseTypeManager.class.getName();
+    
+    /** The extension point for SQL database types */
+    private SQLDatabaseTypeExtensionPoint _sqlDatabaseTypeExtensionPoint;
+    
+    /** Component containing i18n utility methods */
+    private I18nUtils _i18nUtils;
+    
+    @Override
+    public void service(ServiceManager serviceManager) throws ServiceException
+    {
+        _sqlDatabaseTypeExtensionPoint = (SQLDatabaseTypeExtensionPoint) serviceManager.lookup(SQLDatabaseTypeExtensionPoint.ROLE);
+        _i18nUtils = (I18nUtils) serviceManager.lookup(I18nUtils.ROLE);
+    }
+    
+    /**
+     * Retrieve the available sql drivers and the associated templates
+     * @return the available drivers in JSON 
+     */
+    @Callable
+    public Map<String, Object> getSQLDatabaseTypes()
+    {
+        Map<String, Object> result = new HashMap<> ();
+        List<Map<String, Object>> databaseTypes = new ArrayList<>();
+        
+        Map<Object, I18nizableText> sqlDatabaseTypes = _sqlDatabaseTypeExtensionPoint.getSQLDatabaseTypes();
+        for (Object extensionId : sqlDatabaseTypes.keySet())
+        {
+            Map<String, Object> databaseType = new HashMap<> ();
+            StaticSQLDatabaseType staticSQLDatabaseType = (StaticSQLDatabaseType) _sqlDatabaseTypeExtensionPoint.getExtension((String) extensionId);
+            
+            databaseType.put("label", _i18nUtils.translate(staticSQLDatabaseType.getLabel()));
+            databaseType.put("value", staticSQLDatabaseType.getDriver());
+            databaseType.put("template", staticSQLDatabaseType.getTemplate());
+            
+            databaseTypes.add(databaseType);
+        }
+        
+        result.put("databaseTypes", databaseTypes);
+        return result;
+    }
+    
+    /**
+     * Get the class not found message corresponding to a driver
+     * @param driver the driver
+     * @return the message to use in case the class of the driver was not found
+     */
+    public I18nizableText getClassNotFoundMessage(String driver)
+    {
+        Map<Object, I18nizableText> sqlDatabaseTypes = _sqlDatabaseTypeExtensionPoint.getSQLDatabaseTypes();
+        for (Object extensionId : sqlDatabaseTypes.keySet())
+        {
+            StaticSQLDatabaseType staticSQLDatabaseType = (StaticSQLDatabaseType) _sqlDatabaseTypeExtensionPoint.getExtension((String) extensionId);
+            if (staticSQLDatabaseType.getDriver().equals(driver))
+            {
+                return staticSQLDatabaseType.getDriverNotFoundMessage();
+            }
+        }
+        
+        return null;
+    }
+}
Index: main/plugin-core/src/org/ametys/core/util/ldap/AbstractLDAPConnector.java
===================================================================
--- main/plugin-core/src/org/ametys/core/util/ldap/AbstractLDAPConnector.java	(revision 38980)
+++ main/plugin-core/src/org/ametys/core/util/ldap/AbstractLDAPConnector.java	(working copy)
@@ -28,23 +28,30 @@
 import javax.naming.ldap.LdapContext;
 import javax.naming.ldap.PagedResultsControl;
 
-import org.apache.avalon.framework.configuration.Configurable;
 import org.apache.avalon.framework.configuration.Configuration;
 import org.apache.avalon.framework.configuration.ConfigurationException;
+import org.apache.avalon.framework.service.ServiceException;
+import org.apache.avalon.framework.service.ServiceManager;
+import org.apache.avalon.framework.service.Serviceable;
 
+import org.ametys.core.datasource.ldap.LDAPDataSourceManager;
+import org.ametys.core.datasource.ldap.LDAPDataSourceManager.LDAPDataSourceDescriptor;
 import org.ametys.core.util.CachingComponent;
 import org.ametys.runtime.config.Config;
 
 /**
  * This abstract class contains all basic for a ldap connection using config parameters
  */
-public abstract class AbstractLDAPConnector extends CachingComponent<Object> implements Configurable
+public abstract class AbstractLDAPConnector extends CachingComponent<Object> implements Serviceable
 {
     // Check filter look
     private static final Pattern __FILTER = Pattern.compile("\\s*\\(.*\\)\\s*");
-
+    
+    /** The configuration parameter id of the LDAP data source */
+    private static final String __LDAP_PARAMETER_ID = "runtime.datasource.core.ldap";
+    
     /** URL connection to the ldap server. */
-    protected String _ldapUrl;
+    protected String _ldapUrl;  
     /** Base DN to the ldap server. */
     protected String _ldapBaseDN;
     /** Distinguished name of the admin used for searching. */
@@ -62,6 +69,34 @@
     
     /** Indicates if the LDAP server supports paging feature. */
     protected boolean _pagingSupported;
+
+    /** The LDAP data source manager */
+    private LDAPDataSourceManager _ldapDataSourceManager;
+    
+    @Override
+    public void initialize() throws Exception
+    {
+        super.initialize();
+        
+        String dataSourceId = Config.getInstance().getValueAsString(__LDAP_PARAMETER_ID);
+        LDAPDataSourceDescriptor ldapDataSourceDescriptor = _ldapDataSourceManager.getLDAPDataSourceDescription(dataSourceId); 
+        
+        _ldapUrl = ldapDataSourceDescriptor.getBaseURL();
+        _ldapBaseDN = ldapDataSourceDescriptor.getBaseDN();
+        _ldapAdminRelativeDN = ldapDataSourceDescriptor.getAdminDN();
+        _ldapAdminPassword = ldapDataSourceDescriptor.getAdminPassword();
+        _ldapAuthenticationMethod = ldapDataSourceDescriptor.getAuthenticationMethod();
+        _ldapUseSSL = ldapDataSourceDescriptor.isUsingSSL();
+        _ldapFollowReferrals = ldapDataSourceDescriptor.isFollowingReferrals();
+        _ldapAliasDerefMode = ldapDataSourceDescriptor.getAliasDereferencing();
+        
+        _pagingSupported = _testPagingSupported();
+    }
+    
+    public void service(ServiceManager serviceManager) throws ServiceException
+    {
+        _ldapDataSourceManager = (LDAPDataSourceManager) serviceManager.lookup(LDAPDataSourceManager.ROLE); 
+    }
     
     /**
      * Get the filter from configuration key and check it
@@ -101,32 +136,6 @@
             throw new ConfigurationException("Unable to parse scope", e);
         }
     }
-
-    @Override
-    public void configure(Configuration configuration) throws ConfigurationException
-    {
-        _ldapUrl = _getConfigParameter(configuration, "BaseUrl");
-        _ldapUseSSL = "true".equals(_getConfigParameter(configuration, "UseSSL"));
-        _ldapBaseDN = _getConfigParameter(configuration, "BaseDN");
-        _ldapFollowReferrals = "true".equals(_getConfigParameter(configuration, "FollowReferrals"));
-        
-        _ldapAuthenticationMethod = _getConfigParameter(configuration, "AuthenticationMethod");
-        if (!_ldapAuthenticationMethod.equals("none"))
-        {
-            _ldapAdminRelativeDN = _getConfigParameter(configuration, "AdminDN");
-            _ldapAdminPassword = _getConfigParameter(configuration, "AdminPassword");
-        }
-        
-        _ldapAliasDerefMode = _getConfigParameter(configuration, "AliasDereferencing");
-    }
-    
-    @Override
-    public void initialize() throws Exception
-    {
-        super.initialize();
-        
-        _pagingSupported = _testPagingSupported();
-    }
     
     /**
      * Test if paging is supported by the underlying directory server.
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/authentication/FormBasedCredentialsProvider.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/authentication/FormBasedCredentialsProvider.java	(revision 38980)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/authentication/FormBasedCredentialsProvider.java	(working copy)
@@ -100,8 +100,8 @@
     /** Default cookie lifetime (15 days in seconds) */
     public static final int DEFAULT_COOKIE_LIFETIME = 1209600;
     
-    /** The pool name */
-    protected String _poolName;
+    /** The configuration parameter id of the connection pool */
+    protected String _poolConfigParam;
     /** Name of the user name html field */
     protected String _usernameField;
 
@@ -343,12 +343,12 @@
      */
     protected void _insertUserToken(String login, String salt, String hashedTokenAndSalt)
     {
-        Connection connection = null;
         PreparedStatement statement = null;
         ResultSet rs = null;
-        try
+
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
             DatabaseType dbType = ConnectionHelper.getDatabaseType(connection);
             
             if (dbType.equals(DatabaseType.DATABASE_ORACLE))
@@ -390,7 +390,6 @@
         finally
         {
             ConnectionHelper.cleanup(statement);       
-            ConnectionHelper.cleanup(connection);
         }
     }
     /**
@@ -399,18 +398,16 @@
      */
     protected void _deleteLoginFailedBDD(String login)
     {
-        Connection con = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
-        try
+        
+        String dataSourceId = Config.getInstance().getValueAsString(ConnectionHelper.CORE_POOL_CONFIG_PARAM);
+        try (Connection connection =  ConnectionHelper.getConnection(dataSourceId))
         {
-            // Effectuer la connexion à la base de données
-            con = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);    
-            
             // Contruire la requête pour authentifier l'utilisateur
             String sql = "DELETE FROM Users_FormConnectionFailed WHERE login = ?";
             
-            stmt = con.prepareStatement(sql);
+            stmt = connection.prepareStatement(sql);
             stmt.setString(1, login);
             
             // Effectuer la requête
@@ -425,7 +422,6 @@
             // Fermer les ressources de connexion
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(con);
         }
         
     }
@@ -437,18 +433,17 @@
      */
     protected Integer _requestNbConnectBDD(String login)
     {
-        Connection con = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
-        try
+        
+        String dataSourceId = Config.getInstance().getValueAsString(ConnectionHelper.CORE_POOL_CONFIG_PARAM);
+        try (Connection connection =  ConnectionHelper.getConnection(dataSourceId);)
         {
-            // Effectuer la connexion à la base de données
-            con = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);    
             
             // Contruire la requête pour authentifier l'utilisateur
             String sql = "SELECT nb_connect FROM Users_FormConnectionFailed WHERE login = ?";
             
-            stmt = con.prepareStatement(sql);
+            stmt = connection.prepareStatement(sql);
             stmt.setString(1, login);
     
             // Effectuer la requête
@@ -471,7 +466,6 @@
             // Fermer les ressources de connexion
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(con);
         }
     }
     
@@ -502,17 +496,15 @@
      */
     protected void _insertLoginNbConnectBDD(String login)
     {
-        Connection con = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
-        try
+        
+        String dataSourceId = Config.getInstance().getValueAsString(ConnectionHelper.CORE_POOL_CONFIG_PARAM);
+        try (Connection connection =  ConnectionHelper.getConnection(dataSourceId);)
         {
-         // Effectuer la connexion à la base de données
-            con = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);    
-            
             String sqlUpdate = "INSERT INTO Users_FormConnectionFailed (login, nb_connect, last_connect) VALUES (?, ?, ?)";
            
-            stmt = con.prepareStatement(sqlUpdate);
+            stmt = connection.prepareStatement(sqlUpdate);
             stmt.setString(1, login);
             stmt.setInt(2, 1);
             
@@ -532,7 +524,6 @@
             // Fermer les ressources de connexion
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(con);
         }
     }
     
@@ -543,17 +534,15 @@
      */
     protected void _updateLoginNbConnectBDD(String login, Integer nbConnect)
     {
-        Connection con = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
-        try
-        {
-            // Effectuer la connexion à la base de données
-            con = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME);    
-            
+        
+        String dataSourceId = Config.getInstance().getValueAsString(ConnectionHelper.CORE_POOL_CONFIG_PARAM);
+        try (Connection connection =  ConnectionHelper.getConnection(dataSourceId);)
+        {   
             String sqlUpdate = "UPDATE Users_FormConnectionFailed SET nb_connect = ? WHERE login = ?";
            
-            stmt = con.prepareStatement(sqlUpdate);
+            stmt = connection.prepareStatement(sqlUpdate);
             stmt.setInt(1, nbConnect + 1);
             stmt.setString(2, login);
             
@@ -568,7 +557,6 @@
             // Fermer les ressources de connexion
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(con);
         }
     }
     
@@ -625,7 +613,7 @@
     @Override
     public void configure(Configuration configuration) throws ConfigurationException
     {
-        _poolName = configuration.getChild("pool").getValue(ConnectionHelper.CORE_POOL_NAME);
+        _poolConfigParam = configuration.getChild("pool").getValue(ConnectionHelper.CORE_POOL_CONFIG_PARAM);
         _usernameField = configuration.getChild("username-field").getValue("Username");
         _passwordField = configuration.getChild("password-field").getValue("Password");
         _rememberMeField =  configuration.getChild("rememberMe-field").getValue("rememberMe");
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/authentication/token/TokenCredentials.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/authentication/token/TokenCredentials.java	(revision 38980)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/authentication/token/TokenCredentials.java	(working copy)
@@ -27,6 +27,7 @@
 
 import org.ametys.core.authentication.Credentials;
 import org.ametys.core.datasource.ConnectionHelper;
+import org.ametys.runtime.config.Config;
 
 /**
  * Credentials coming from more than one source.
@@ -61,7 +62,8 @@
      */
     public boolean checkToken()
     {
-        try (Connection connection = ConnectionHelper.getConnection(ConnectionHelper.CORE_POOL_NAME))
+        String dataSourceId = Config.getInstance().getValueAsString(ConnectionHelper.CORE_POOL_CONFIG_PARAM);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId))
         {
             // Delete 2 weeks or more old entries
             try (PreparedStatement deleteStatement = _getDeleteOldUserTokenStatement(connection))
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/checker/SQLConnectionChecker.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/checker/SQLConnectionChecker.java	(revision 0)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/checker/SQLConnectionChecker.java	(revision 0)
@@ -0,0 +1,61 @@
+package org.ametys.plugins.core.impl.checker;
+
+import java.sql.Connection;
+import java.sql.DriverManager;
+import java.util.Map;
+
+import org.apache.avalon.framework.logger.AbstractLogEnabled;
+
+import org.ametys.core.datasource.ConnectionHelper;
+import org.ametys.runtime.parameter.ParameterChecker;
+import org.ametys.runtime.parameter.ParameterCheckerTestFailureException;
+
+
+/**
+ * Checks if a SQL connection can be established 
+ */
+public class SQLConnectionChecker extends AbstractLogEnabled implements ParameterChecker
+{
+    @Override
+    public void check(Map<String, String> parameters) throws ParameterCheckerTestFailureException
+    {
+        String driver = parameters.get("driver");
+        String url = parameters.get("url");
+        String password = parameters.get("password");
+        String login = parameters.get("user");
+        String driverNotFoundMessage = parameters.get("driverNotFoundMessage");
+        
+        Connection connection = null;
+        try 
+        {
+            Class.forName(driver);
+            connection = DriverManager.getConnection(url, login, password);
+        }
+        catch (ClassNotFoundException cnfe)
+        {
+            if (driverNotFoundMessage != null)
+            {
+                throw new ParameterCheckerTestFailureException(driverNotFoundMessage, cnfe);
+            }
+            throw new ParameterCheckerTestFailureException("The given driver classpath was not found. Try to put the driver's jar in the WEB-INF/lib folder and reboot the application", cnfe);
+        }
+        catch (Exception e)
+        {
+            throw new ParameterCheckerTestFailureException(e.getMessage(), e);
+        }
+        finally
+        {
+            if (connection != null)
+            {
+                try
+                {
+                    ConnectionHelper.cleanup(connection);
+                }
+                catch (Exception e)
+                {
+                    throw new ParameterCheckerTestFailureException(e.getMessage(), e);
+                }
+            }
+        }
+    }
+}
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/datasource/StaticSQLDatabaseType.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/datasource/StaticSQLDatabaseType.java	(revision 0)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/datasource/StaticSQLDatabaseType.java	(revision 0)
@@ -0,0 +1,111 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+package org.ametys.plugins.core.impl.datasource;
+
+import org.apache.avalon.framework.configuration.Configurable;
+import org.apache.avalon.framework.configuration.Configuration;
+import org.apache.avalon.framework.configuration.ConfigurationException;
+
+import org.ametys.core.datasource.sql.dbtype.SQLDatabaseType;
+import org.ametys.runtime.i18n.I18nizableText;
+import org.ametys.runtime.plugin.component.AbstractLogEnabled;
+import org.ametys.runtime.plugin.component.PluginAware;
+import org.ametys.runtime.util.ConfigurationHelper;
+
+/**
+ * Default implementation for a {@link SQLDatabaseType}.
+ */
+public class StaticSQLDatabaseType extends AbstractLogEnabled implements Configurable, SQLDatabaseType, PluginAware
+{
+    /** The id of the database type */
+    private String _id;
+    
+    /** The label of the database type */
+    private I18nizableText _label;
+
+    /** The driver of the database type */
+    private String _driver;
+    
+    /** The url template for this database type */
+    private String _template;
+    
+    /** The plugin's name */
+    private String _pluginName;
+    
+    /** The driver not found message */
+    private I18nizableText _driverNotFoundMessage;
+    
+    public void setPluginInfo(String pluginName, String featureName)
+    {
+        _pluginName = pluginName;
+    }
+    
+    @Override
+    public void configure(Configuration configuration) throws ConfigurationException
+    {
+        _id = configuration.getAttribute("id");
+        if (getLogger().isDebugEnabled())
+        {
+            getLogger().debug("Configuring database type '" + _id + "'");
+        }
+        
+        _label = ConfigurationHelper.parseI18nizableText(configuration.getChild("label"), "plugin." + _pluginName);
+        
+        _driver = configuration.getChild("driver").getValue();
+        try
+        {
+            Class.forName(_driver);
+        }
+        catch (ClassNotFoundException e)
+        {
+            getLogger().warn("The specified driver '" + _driver + "' was not found in the WEB-INF/lib directory of the application.", e);
+        }
+        
+        _driverNotFoundMessage = ConfigurationHelper.parseI18nizableText(configuration.getChild("driver-not-found-message"), "plugin." + _pluginName); 
+        
+        _template = configuration.getChild("template").getValue("");
+    }
+    
+    @Override
+    public String getId()
+    {
+        return _id;
+    }
+    
+    @Override
+    public I18nizableText getLabel() 
+    {
+        return _label;
+    }
+    
+    @Override
+    public String getDriver() 
+    {
+        return _driver;
+    }
+    
+    @Override
+    public String getTemplate()
+    {
+        return _template;
+    }
+    
+    @Override
+    public I18nizableText getDriverNotFoundMessage()
+    {
+        return _driverNotFoundMessage;
+    }
+}
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/group/jdbc/ModifiableJdbcGroupsManager.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/group/jdbc/ModifiableJdbcGroupsManager.java	(revision 38980)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/group/jdbc/ModifiableJdbcGroupsManager.java	(working copy)
@@ -53,6 +53,7 @@
 import org.ametys.core.user.ModifiableUsersManager;
 import org.ametys.core.user.UserListener;
 import org.ametys.core.user.UsersManager;
+import org.ametys.runtime.config.Config;
 import org.ametys.runtime.plugin.PluginsManager;
 import org.ametys.runtime.plugin.component.AbstractLogEnabled;
 
@@ -68,8 +69,8 @@
     /** Group listeners */
     protected List<GroupListener> _listeners = new ArrayList<>();
 
-    /** The name of the jdbc pool to use */
-    protected String _poolName;
+    /** The id of the configuration parameter of the pool to use */
+    protected String _poolConfigParam;
     /** The name of the jdbc table containing the list of groups */
     protected String _groupsListTable;
     /** The name of the jdbc column in <code>_groupsListTable</code> containing the unique identifier of a group */
@@ -92,7 +93,7 @@
     @Override
     public void configure(Configuration configuration) throws ConfigurationException
     {
-        _poolName = configuration.getChild("pool").getValue();
+        _poolConfigParam = configuration.getChild("pool").getValue();
 
         Configuration listConfiguration = configuration.getChild("list");
         _groupsListTable = listConfiguration.getChild("table").getValue("Groups");
@@ -142,14 +143,12 @@
     {
         Group group = null;
 
-        Connection connection = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
-
-        try
+        
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection =  ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
-
             String sql = "SELECT " + _groupsListColLabel + " FROM " + _groupsListTable + " WHERE " + _groupsListColId + " =  ?";
             stmt = connection.prepareStatement(sql);
             stmt.setInt(1, Integer.parseInt(groupID));
@@ -183,7 +182,6 @@
         {
             ConnectionHelper.cleanup(rs);       
             ConnectionHelper.cleanup(stmt);       
-            ConnectionHelper.cleanup(connection);       
         }
 
         // Retourner le groupe trouvé ou null
@@ -203,15 +201,13 @@
     public Set<Group> getGroups()
     {
         Set<Group> groups = new LinkedHashSet<>();
-
-        Connection connection = null;
+        
         Statement stmt = null;
         ResultSet rs = null;
-
-        try
+        
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection =  ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
-
             stmt = connection.createStatement();
             String sql = _createGetGroupsClause();
 
@@ -243,7 +239,6 @@
         {
             ConnectionHelper.cleanup(rs);       
             ConnectionHelper.cleanup(stmt);       
-            ConnectionHelper.cleanup(connection);       
         }
 
         // Retourner l'ensemble des groupes
@@ -259,14 +254,12 @@
             return groups;
         }
         
-        Connection connection = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
-
-        try
+        
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection =  ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
-
             String sql = "SELECT " + _groupsCompositionColGroup + " FROM " + _groupsCompositionTable + " WHERE " + _groupsCompositionColUser + " = ?";
             stmt = connection.prepareStatement(sql);
             stmt.setString(1, login);
@@ -295,7 +288,6 @@
         {
             ConnectionHelper.cleanup(rs);       
             ConnectionHelper.cleanup(stmt);       
-            ConnectionHelper.cleanup(connection);       
         }
 
         // Retourner l'ensemble des groupes, éventuellement vide
@@ -309,13 +301,11 @@
      */
     public void removeUserGroups(String login)
     {
-        Connection connection = null;
         PreparedStatement stmt = null;
-
-        try
+        
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection =  ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
-
             String sql = "DELETE FROM " + _groupsCompositionTable + " WHERE Login = ?";
 
             stmt = connection.prepareStatement(sql);
@@ -337,7 +327,6 @@
         finally
         {
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -401,15 +390,14 @@
     @Override
     public Group add(String name) throws InvalidModificationException
     {
-        Connection connection = null; 
-        PreparedStatement statement = null;
-        ResultSet rs = null;
-
         String id = null;
 
-        try
+        PreparedStatement statement = null;
+        ResultSet rs = null;
+        
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection =  ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
             DatabaseType datatype = ConnectionHelper.getDatabaseType(connection);
             
             if (datatype == DatabaseType.DATABASE_ORACLE)
@@ -503,7 +491,6 @@
         {
             ConnectionHelper.cleanup(rs);       
             ConnectionHelper.cleanup(statement);       
-            ConnectionHelper.cleanup(connection);       
         }
 
         return new Group(id, name);
@@ -512,13 +499,11 @@
     @Override
     public void remove(String groupID) throws InvalidModificationException
     {
-        Connection connection = null;
         PreparedStatement statement = null;
-
-        try
+        
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection =  ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
-
             statement = connection.prepareStatement("DELETE FROM " + _groupsListTable + " WHERE " + _groupsListColId + " = ?");
             statement.setInt(1, Integer.parseInt(groupID));
 
@@ -549,20 +534,17 @@
         finally
         {
             ConnectionHelper.cleanup(statement);       
-            ConnectionHelper.cleanup(connection);       
         }
     }
 
     @Override
     public void update(Group userGroup) throws InvalidModificationException
     {
-        Connection connection = null;
         PreparedStatement statement = null;
-
-        try
+        
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection =  ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
-
             // Start transaction.
             connection.setAutoCommit(false);
 
@@ -633,7 +615,6 @@
         finally
         {
             ConnectionHelper.cleanup(statement);
-            ConnectionHelper.cleanup(connection);
         }
     }
     
